#include "PointT.h"
#include <cmath>

const double PointT::TOLERANCE = 1e-4;

PointT::PointT(double x, double y)
{
  this->xc = x;
  this->yc = y;
}

double PointT::xcoord()
{
  return this->xc;
}

double PointT::ycoord()
{
  return this->yc;
}

double PointT::dist(PointT p)
{
  double dx;
  double dy;

  dx = this->xc - p.xc;
  dy = this->yc - p.yc;

  return sqrt(pow(dx,2.0) + pow(dy,2.0));
}

bool PointT::equal(PointT p)
{
 return (this->dist(p) <= TOLERANCE);
}
