/**
 *  \file Example.h
 *  \brief A documented file
 */

#ifndef EXAMPLE_H
#define EXAMPLE_H

/**
 *  \brief Returns the minimum of two integers
 *  \details If you need it
 *  \param a First integer
 *  \param b Second integer
 *  \return The minimum of a and b
 */
int min(int a, int b);

/**
 *  \brief Class representing a point in the 2D plane
 *  \details Coordinates are integer values
 */
class Point {
  private:
    /// the x-coordinate
    int x;
    /// the y-coordinate
    int y;
    
  public:
    /**
     *  \brief Constructs a new point
     *  \param x The x-coordinate of the new point
     *  \param y The y-coordinate of the new point
     */
    Point(int x, int y);
    
    /**
     *  \brief Gets the x-coordinate of the point
     *  \return The x-coordinate of the point
     */
    int getX();
    
    /**
     *  \brief Gets the y-coordinate of the point
     *  \return The y-coordinate of the point
     */
    int getY();
    
    /**
     *  \brief Adds the x- and y-coordinates another point to the
     *  x- and y-coordinates of this point
     *  \param p The point to be added
     *  \return A new point with the x- and y-coordinates of p and 
     *  this point added together
     */
    Point add(Point p);
}

#endif